Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

# Class BaseModel

java.lang.Object
org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseModel

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CoordinatorConnectionModel`, `CoordinatorModel`, `DataObjectModel`, `EventStageModel`, `HeavyHitterModel`, `StatisticsModel`, `StatisticsOptions`, `UtilizationModel`, `WorkerModel`

public abstract class BaseModel extends Object implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Long`
`id`

## Constructor Summary

Constructors
Constructor
Description
`BaseModel()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public Long id

## Constructor Details

### BaseModel

public BaseModel()